org.apache.jmeter.util

## Class HttpSSLProtocolSocketFactory

- java.lang.Object
- - javax.net.SocketFactory
  - - javax.net.ssl.SSLSocketFactory
    - - org.apache.jmeter.util.HttpSSLProtocolSocketFactory

-     public class HttpSSLProtocolSocketFactory
      extends javax.net.ssl.SSLSocketFactory

  Derived from EasySSLProtocolFactory Used by JsseSSLManager to set up the Java https socket handling

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpSSLProtocolSocketFactory()`
    `HttpSSLProtocolSocketFactory(int cps)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.net.Socket` | `createSocket()`
    `java.net.Socket` | `createSocket(java.net.InetAddress host, int port)`
    `java.net.Socket` | `createSocket(java.net.InetAddress address, int port, java.net.InetAddress localAddress, int localPort)`
    `java.net.Socket` | `createSocket(java.net.Socket s, java.lang.String host, int port, boolean autoClose)`
    `java.net.Socket` | `createSocket(java.lang.String host, int port)`
    `java.net.Socket` | `createSocket(java.lang.String host, int port, java.net.InetAddress inetAddress, int localPort)`
    `java.lang.String[]` | `getDefaultCipherSuites()`
    `java.lang.String[]` | `getSupportedCipherSuites()`

    - ### Methods inherited from class javax.net.ssl.SSLSocketFactory

      `createSocket, getDefault`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpSSLProtocolSocketFactory

          public HttpSSLProtocolSocketFactory()

    - #### HttpSSLProtocolSocketFactory

          public HttpSSLProtocolSocketFactory(int cps)

  - ### Method Detail

    - #### createSocket

          public java.net.Socket createSocket()
                                       throws java.io.IOException,
                                              java.net.UnknownHostException

      Overrides:
        `createSocket` in class `javax.net.SocketFactory`
      Throws:
        `java.io.IOException`
        `java.net.UnknownHostException`
      See Also:
        `SocketFactory.createSocket()`

    - #### createSocket

          public java.net.Socket createSocket(java.net.InetAddress host,
                                              int port)
                                       throws java.io.IOException

      Specified by:
        `createSocket` in class `javax.net.SocketFactory`
      Throws:
        `java.io.IOException`

    - #### createSocket

          public java.net.Socket createSocket(java.net.InetAddress address,
                                              int port,
                                              java.net.InetAddress localAddress,
                                              int localPort)
                                       throws java.io.IOException

      Specified by:
        `createSocket` in class `javax.net.SocketFactory`
      Throws:
        `java.io.IOException`

    - #### getDefaultCipherSuites

          public java.lang.String[] getDefaultCipherSuites()

      Specified by:
        `getDefaultCipherSuites` in class `javax.net.ssl.SSLSocketFactory`

    - #### getSupportedCipherSuites

          public java.lang.String[] getSupportedCipherSuites()

      Specified by:
        `getSupportedCipherSuites` in class `javax.net.ssl.SSLSocketFactory`

    - #### createSocket

          public java.net.Socket createSocket(java.net.Socket s,
                                              java.lang.String host,
                                              int port,
                                              boolean autoClose)
                                       throws java.io.IOException

      Specified by:
        `createSocket` in class `javax.net.ssl.SSLSocketFactory`
      Throws:
        `java.io.IOException`

    - #### createSocket

          public java.net.Socket createSocket(java.lang.String host,
                                              int port)
                                       throws java.io.IOException,
                                              java.net.UnknownHostException

      Specified by:
        `createSocket` in class `javax.net.SocketFactory`
      Throws:
        `java.io.IOException`
        `java.net.UnknownHostException`

    - #### createSocket

          public java.net.Socket createSocket(java.lang.String host,
                                              int port,
                                              java.net.InetAddress inetAddress,
                                              int localPort)
                                       throws java.io.IOException,
                                              java.net.UnknownHostException

      Specified by:
        `createSocket` in class `javax.net.SocketFactory`
      Throws:
        `java.io.IOException`
        `java.net.UnknownHostException`

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.